Skip to main content

Current Open Orders

Response

[
{
"symbol": "LTCBTC",
"orderId": 1,
"orderListId": -1,
"clientOrderId": "myOrder1",
"price": "0.1",
"origQty": "1.0",
"executedQty": "0.0",
"cummulativeQuoteQty": "0.0",
"status": "NEW",
"timeInForce": "GTC",
"type": "LIMIT",
"side": "BUY",
"stopPrice": "0.0",
"icebergQty": "0.0",
"time": 1499827319559,
"updateTime": 1499827319559,
"isWorking": true,
"stpMode":"",
"cancelReason":"stp_cancel",
"origQuoteOrderQty": "0.000000"
}
]
  • GET /api/v3/openOrders

Permission: SPOT_DEAL_READ

Weight(IP): 3

Get all open orders on a symbol. Careful when accessing this with no symbol.

Parameters:

NameTypeMandatoryDescription
symbolstringNO
recvWindowlongNO
timestamplongYES

Response:

NameDescription
symbolSymbol
origClientOrderIdOriginal client order id
orderIdorder id
clientOrderIdclient order id
pricePrice
origQtyOriginal order quantity
executedQtyExecuted order quantity
cummulativeQuoteQtyCummulative quote quantity
statusENUM: Order Status
timeInForce
typeENUM: Order Type
sideENUM: Order Side
stopPricestop price
timeOrder created time
updateTimeLast update time
isWorkingis orderbook
stpMode“” - Default value, no restriction on self-trading.“cancel_maker” - Cancel the maker order.“cancel_taker” - Cancel the taker order.“cancel_both” - Cancel both sides.
cancelReasoncancel reason.stp_cancel: canceled due to STP rules.